/*
 Theme Name:     Fransmart Domain Microsite - Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Fransmart - Divi Child Theme for Brand Domain Microsites
 Author:         Smitten Labs
 Author URI:     https://smittenlabs.co/
 Template:       Divi
 Version:        1.0.43
*/


/* =Theme customization starts here
------------------------------------------------------- */
/* Shawns CSS */
body .no-click {
	pointer-events: none;
}

/* Body Overflow - For Responsive */
body,
html {
    font-weight: 400;
    overflow-x: hidden;
}

body .et_pb_section .et_pb_text .et_pb_text_inner a {
	color: #d0030a;
	text-decoration: none;
}

body #page-container {
    overflow-x: hidden;
}


/* Adobe Typekit */
body .mundial {
    font-family: "mundial", sans-serif;
    font-style: normal;
}

body .mundial_thin {
    font-family: "mundial", sans-serif;
    font-weight: 200;
    font-style: normal;
}

body .mundial_regular {
    font-family: "mundial", sans-serif;
    font-weight: 400;
    font-style: normal;
}

body .mundial_demi_bold {
    font-family: "mundial", sans-serif;
    font-weight: 600;
    font-style: normal;
}

body .mundial_bold {
    font-family: "mundial", sans-serif;
    font-weight: 700;
    font-style: normal;
}


/* Video Preloader */
.et-db #et-boc .et-l .brand-hero .et_pb_preload:before  {
    display: none!important;
}

.et-db #et-boc .et-l .brand-hero .et_pb_preload  {
    display: none!important;
}



/* Divi Text Module */
body .et_pb_text_inner h1,
body .et_pb_text_inner h2 {
    font-family: "mundial", sans-serif;
    padding-bottom: 25px;
}

body .et_pb_text_inner h3,
body .et_pb_text_inner h4,
body .et_pb_text_inner h5,
body .et_pb_text_inner h6 {
    font-family: "mundial", sans-serif;
}

body .et_pb_text_inner h3 {
    padding-bottom: 15px;
}


/* Podcast Single Post */
body .podcast_post_content blockquote {
    padding-left: 18px;
}

body .podcast_post_content blockquote:before {
    content: "“";
    left: 0;
    position: absolute;
}

body .podcast_post_content blockquote p {
    line-height: 1.25em;
}



/* Brand Story - Specialty Section */
body.et-db #et-boc .et-l .brand_story_section .story_column {
    border-radius: 0 16px 16px 0;
    width: 65.5% !important;
    margin-right: 1.5% !important;
}

body.et-db #et-boc .et-l .brand_story_section .image_column {
    border-radius: 16px 0 0 16px;
    width: 33% !important;
}

body.et-db #et-boc .et-l .brand_story_section_alt .story_column {
    border-radius: 16px 0 0 16px;
    width: 65.5% !important;
    margin-left: 1.5% !important;
}

body.et-db #et-boc .et-l .brand_story_section_alt .image_column {
    border-radius: 0 16px 16px 0;
    width: 33% !important;
	margin-right: 0!important;
}


/* Brand Interactive Tour - Owl Carousel */
body .interactive_tour_carousel .dp_oc_item > a {
    border: 3px solid #EDC4AE;
    border-radius: 20px;
    display: block;
    height: 12.5vw;
    overflow: hidden;
    position: relative;
}

body .interactive_tour_carousel.paymore .dp_oc_item > a {
    border: 3px solid #62BB46;
}


body .interactive_tour_carousel .dp_oc_item.video > a:before,
body .interactive_tour_carousel .dp_oc_item.virtual-tour > a:before {
    background-color: #000;
    content: "";
    display: block;
    height: 100%;
    left: 0;
    opacity: 0.3;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
}

body .interactive_tour_carousel .dp_oc_item.video > a:after,
body .interactive_tour_carousel .dp_oc_item.virtual-tour > a:after {
    background-image: url(/wp-content/themes/fransmart/images/button-carousel-video-play.svg);
    background-size: cover;
    content: "";
    height: 80px;
    left: 40%;
    position: absolute;
    top: 30%;
    width: 80px;
    z-index: 15;
}

body .interactive_tour_carousel .owl-next, 
body .interactive_tour_carousel .owl-prev {
    opacity: 1;
    top: auto;
}

body .interactive_tour_carousel .owl-prev {
    left: 0 !important;
}

body .interactive_tour_carousel .owl-next {
    left: 70px !important;
    right: auto;
}

body .interactive_tour_carousel .owl-prev:before {
    align-items: center;
    border: 2px solid #000000;
    border-radius: 50%;
    content: url(/wp-content/themes/fransmart/images/brand-carousel-back.svg) !important;
    display: flex;
    font-size: 20px !important;
    justify-content: center;
    height: 50px;
    width: 50px;
}

body .interactive_tour_carousel .owl-next:before {
    align-items: center;
    border: 2px solid #000000;
    border-radius: 50%;    
    content: url(/wp-content/themes/fransmart/images/brand-carousel-next.svg) !important;
    display: flex;
    font-size: 20px !important;
    justify-content: center;
    height: 50px;
    width: 50px;
}

body .mfp-iframe-holder .mfp-content {
    max-width: 90%;
}



/* Brand Interactive Tour - black - Owl Carousel */
body .interactive_tour_carousel.black .owl-prev:before {
    border-color: #000000 !important;
    content: url(/wp-content/themes/fransmart/images/brand-black-carousel-back.svg) !important;
}

body .interactive_tour_carousel.black .owl-next:before {
    border-color: #000000 !important;
    content: url(/wp-content/themes/fransmart/images/brand-black-carousel-next.svg) !important;
}


/* Brand Interactive Tour - glo30 - Owl Carousel */
body .interactive_tour_carousel.glo30 .owl-prev:before {
    border-color: #2B346F !important;
    content: url(/wp-content/themes/fransmart/images/brand-glo30-carousel-back.svg) !important;
}

body .interactive_tour_carousel.glo30 .owl-next:before {
    border-color: #2B346F !important;
    content: url(/wp-content/themes/fransmart/images/brand-glo30-carousel-next.svg) !important;
}


/* Brand Interactive Tour - PayMore - Owl Carousel */
body .interactive_tour_carousel.paymore .owl-prev:before {
    border-color: #62BB46 !important;
    content: url(/wp-content/themes/fransmart/images/brand-paymore-carousel-back.svg) !important;
}

body .interactive_tour_carousel.paymore .owl-next:before {
    border-color: #62BB46 !important;
    content: url(/wp-content/themes/fransmart/images/brand-paymore-carousel-next.svg) !important;
}




/* Brand Testimonial Carousel - Video Popup Links */
body .brand_testimonial_carousel .dipi-carousel-image {
    position: relative;
  }
  
body .brand_testimonial_carousel .modaal-video-trigger-wrapper .dipi-carousel-image:before {
    content: "";
    background-color: #000;
    height: 100%;
    left: 0;
    opacity: 0.5;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
}

body .brand_testimonial_carousel .modaal-video-trigger-wrapper .dipi-carousel-image:after {
    content: url(/wp-content/themes/fransmart/images/button-carousel-video-play.svg);
    position: absolute;
    left: 41%;
    top: 35%;
    z-index: 15;
}

body .brand_testimonial_carousel .dipi-carousel-item-title {
    font-family: Baskerville,serif;
    position: relative;
    padding: 15px 0 15px 25px;
    text-align: left;
}

body .brand_testimonial_carousel .dipi-carousel-item-title:before {
    content: "“";
    display: block;
    left: 0;
    position: absolute;
}

body .brand_testimonial_carousel .dipi-carousel-item-title:after {
    content: "”";
    display: inline-block;
    margin-left: 10px;
}

body .brand_testimonial_carousel .dipi-carousel-item-desc {
    padding: 0 0 0 25px;
    text-align: left;
}


body.et-db #et-boc .et-l .brand_testimonial_carousel .swiper-button-prev {
    border: 2px solid #2B346F;
    border-radius: 50%;
    bottom: -100px;
    left: 0 !important;
    padding: 25px !important;
    right: auto !important;
    top: auto;
}

body .brand_testimonial_carousel .swiper-button-prev:after {
    content: url(/wp-content/themes/fransmart/images/brand-glo30-carousel-back.svg);
    position: relative;
    top: -3px;
}

body.et-db #et-boc .et-l .brand_testimonial_carousel .swiper-button-next {
    border: 2px solid #2B346F;
    border-radius: 50%;
    bottom: -100px;
    left: 70px !important;
    padding: 25px!important;
    right: auto !important;
    top: auto;
}

body.et-db #et-boc .et-l .brand_testimonial_carousel .swiper-button-next:after {
    content: url(/wp-content/themes/fransmart/images/brand-glo30-carousel-next.svg);
    position: relative;
    top: -3px;
}



/* PayMore Template */
body .brand_testimonial_carousel.paymore .modaal-video-trigger-wrapper .dipi-carousel-image:after {
    content: url(/wp-content/themes/fransmart/images/button-carousel-video-play-paymore.svg);
}

body.et-db #et-boc .et-l .brand_testimonial_carousel.paymore .swiper-button-prev {
    border: 2px solid #62BB46;
}

body .brand_testimonial_carousel.paymore .swiper-button-prev:after {
    content: url(/wp-content/themes/fransmart/images/brand-paymore-carousel-back.svg);
}

body.et-db #et-boc .et-l .brand_testimonial_carousel.paymore .swiper-button-next {
    border: 2px solid #62BB46;
}

body.et-db #et-boc .et-l .brand_testimonial_carousel.paymore .swiper-button-next:after {
    content: url(/wp-content/themes/fransmart/images/brand-paymore-carousel-next.svg);
}





/* Laptop and DOWN */
@media (max-width: 1300px) { 

}


/* Laptop and DOWN */
@media (max-width: 1100px) { 

}

/* Tablet and DOWN */
@media (max-width: 980px) { 

    /* Responsive Column Order */
    body .flex_swap,
    body .flex_row {
        display: flex;
        flex-wrap: wrap;
    }
    
    body .flex_swap .et_pb_column,
    body .flex_row .et_pb_column {
        margin: 0;
        width: 100%;
    }

    body .flex_swap .et_pb_column:first-of-type {
        order: 2;
    }    
    
    body .flex_swap .et_pb_column:last-of-type {
        order: 1;
    }


    /* Brand Story - Specialty Section */
    body.et-db #et-boc .et-l .brand_story_section .story_column,
    body.et-db #et-boc .et-l .brand_story_section_alt .story_column {
        border-radius: 0 16px 16px 0;
        width: 95% !important;
        margin-right: 5% !important;
    }

    body.et-db #et-boc .et-l .brand_story_section .image_column,
    body.et-db #et-boc .et-l .brand_story_section_alt .image_column {
        border-radius: 16px 0 0 16px;
        width: 95% !important;
        margin-left: 5% !important;
    }

    body.et-db #et-boc .et-l .brand_story_section_alt .story_column {
        border-radius: 16px 0 0 16px;
        margin-left: 5% !important;
        margin-right: 0 !important;
    }

    body.et-db #et-boc .et-l .brand_story_section_alt .image_column {
        border-radius: 0 16px 16px 0;
        margin-left: 0 !important;
        margin-right: 5% !important;
    }


    /* Brand Interactive Tour - Owl Carousel */
    body .interactive_tour_carousel .dp_oc_item > a {
        height: 135px;
    }    

}

/* Mobile Down */
@media (max-width: 767px) {

    /* Brand Story - Specialty Section */
    body.et-db #et-boc .et-l .brand_story_section .story_column,
    body.et-db #et-boc .et-l .brand_story_section_alt .story_column {
        border-radius: 0 16px 16px 0;
        width: 95% !important;
        margin-right: 0 !important;
    }

    body.et-db #et-boc .et-l .brand_story_section .image_column,
    body.et-db #et-boc .et-l .brand_story_section_alt .image_column {
        border-radius: 16px 0 0 16px;
        margin-left: 5% !important;
        width: 95% !important;
    }

    body.et-db #et-boc .et-l .brand_story_section_alt .story_column {
        border-radius: 16px 0 0 16px;
        margin-left: 5% !important;
        margin-right: 0 !important;
    }

    body.et-db #et-boc .et-l .brand_story_section_alt .image_column {
        border-radius: 0 16px 16px 0;
        margin-left: 0 !important;
        margin-right: 5% !important;
    }


    /* Brand Interactive Tour - Owl Carousel */
    body .interactive_tour_carousel .dp_oc_item > a {
        height: 180px;
    }        
    
}

@media (max-width: 625px) {
    
}

/* Mobile Down */
@media screen and (max-width: 479px) {

    /* Brand Story - Specialty Section */
    body.et-db #et-boc .et-l .brand_story_section .story_column,
    body.et-db #et-boc .et-l .brand_story_section_alt .story_column {
        border-radius: 0 16px 16px 0;
        width: 95% !important;
        margin-right: 0 !important;
    }

    body.et-db #et-boc .et-l .brand_story_section .image_column,
    body.et-db #et-boc .et-l .brand_story_section_alt .image_column {
        border-radius: 16px 0 0 16px;
        margin-left: 5% !important;
        width: 95% !important;
    }

    body.et-db #et-boc .et-l .brand_story_section_alt .story_column {
        border-radius: 16px 0 0 16px;
        margin-left: 5% !important;
        margin-right: 0 !important;
    }

    body.et-db #et-boc .et-l .brand_story_section_alt .image_column {
        border-radius: 0 16px 16px 0;
        margin-left: 0 !important;
        margin-right: 5% !important;
    }

}


/* Accordion Fixes for Brand Microsite pages */
body.et-db #et-boc .et-l #acf-section-14.acf-section-accordion.theme-light .et_pb_toggle_open .et_pb_toggle_title:before,
body.et-db #et-boc .et-l #acf-section-14.acf-section-accordion.theme-light .et_pb_toggle_close .et_pb_toggle_title:before {
    color: #000000 !important;
}
body.et-db #et-boc .et-l .acf-section-accordion .et_pb_toggle,
body.et-db #et-boc .et-l .acf-section-accordion h5.et_pb_toggle_title {
    padding-left: 0 !important;
}

/* Mobile Fixes for Brand Microsite pages */
@media (max-width: 980px) {
    body.et-db #et-boc .et-l .acf-section-hero.hero-single-column .et_pb_row .et_pb_column {
        align-items: flex-start !important;
    }
    body.et-db #et-boc .et-l .acf-section .et_pb_row .et_pb_column {
        margin-bottom: 20px !important;
    }
}

.brand-navigation .mobile_nav_toggle {
	position: absolute;
    top: 0;
    left: 0;
    width: 40px;
    height: 40px;
}

/* Quick Fixes for Brand Microsite pages
 * logo bar - not centered
   footer - remove right margin to first col
   add text-wrap: balance to headings
   rounded border for iframes
 */
.acf-section-logo_bar .et_pb_module {
	margin-bottom: 0!important;
}
.acf-section iframe {
	border-radius: 20px;
}
.acf-section .et_pb_module_heading {
	text-wrap: balance;
}
.acf-section-brand_footer .et_pb_column {
	margin-right: 0!important;
}

/* Quick fix for brand hero video sizing */
.acf-section-hero .et_pb_section_video_bg,
.acf-section-hero .et_pb_section_video_bg video,
.acf-section-hero .et_pb_section_video_bg .mejs-video {
    min-height: 100%!important;
    min-width: 100%!important;
}